Package org.apache.maven.scm.provider.cvslib.command.checkin

## Class AbstractCvsCheckInCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.checkin.AbstractCheckInCommand
    - - org.apache.maven.scm.provider.cvslib.command.checkin.AbstractCvsCheckInCommand

All Implemented Interfaces:
  `Command`, `CvsCommand`

Direct Known Subclasses:
  `CvsExeCheckInCommand`, `CvsJavaCheckInCommand`

    public abstract class AbstractCvsCheckInCommand
    extends AbstractCheckInCommand
    implements CvsCommand

Author:
  Emmanuel Venisse , Trygve Laugstøl, Olivier Lamy

### Field Summary

### Fields inherited from class org.apache.maven.scm.command.checkin.AbstractCheckInCommand

`NAME`

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`AbstractCvsCheckInCommand()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected CheckInScmResult` `executeCheckInCommand​(ScmProviderRepository repo, ScmFileSet fileSet, java.lang.String message, ScmVersion version)`
`protected abstract CheckInScmResult` `executeCvsCommand​(org.codehaus.plexus.util.cli.Commandline cl, CvsScmProviderRepository repository, java.io.File messageFile)`

### Methods inherited from class org.apache.maven.scm.command.checkin.AbstractCheckInCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### AbstractCvsCheckInCommand

    public AbstractCvsCheckInCommand()

### Method Detail

#### executeCheckInCommand

    protected CheckInScmResult executeCheckInCommand​(ScmProviderRepository repo,
                                                     ScmFileSet fileSet,
                                                     java.lang.String message,
                                                     ScmVersion version)
                                              throws ScmException

Specified by:
  `executeCheckInCommand` in class `AbstractCheckInCommand`
Throws:
  `ScmException`

#### executeCvsCommand

    protected abstract CheckInScmResult executeCvsCommand​(org.codehaus.plexus.util.cli.Commandline cl,
                                                          CvsScmProviderRepository repository,
                                                          java.io.File messageFile)
                                                   throws ScmException

Throws:
  `ScmException`